package org.objectweb.fractal.julia.conform.components;

import aokell.lib.membrane.composite.ParametricCompositeType;
import aokell.lib.membrane.flat.FlatType;
import aokell.lib.membrane.flat.ParametricFlatType;
import aokell.lib.membrane.primitive.ParametricPrimitiveType;
import aokell.lib.membrane.primitive.PrimitiveType;

/**
 * @author Lionel Seinturier <Lionel.Seinturier@lifl.fr>
 */
public aspect Conf {
    
    declare parents: C implements PrimitiveType;
    declare parents: CFlat implements FlatType;
    
    declare parents: CParametricPrimitive implements ParametricPrimitiveType;
    declare parents: CParametricFlat implements ParametricFlatType;
    declare parents: CParametricComposite implements ParametricCompositeType;
    
    declare parents: CTemplate implements PrimitiveType;
    declare parents: CFlatTemplate implements FlatType;
    declare parents: CParametricTemplate implements ParametricPrimitiveType;
    declare parents: CParametricFlatTemplate implements ParametricFlatType;
    declare parents: CParametricCompositeTemplate implements ParametricCompositeType;
}
